AbstractMatrixPairDPCursor (BioJava-1.5-beta API)
Keywords: org.biojava.bio.dp.twohead.AbstractMatrixPairDPCursor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.dp.twohead
Class AbstractMatrixPairDPCursor

    java.lang.Object
      org.biojava.bio.dp.twohead.AbstractMatrixPairDPCursor

All Implemented Interfaces:
  PairDPCursor

Direct Known Subclasses:
  BackMatrixPairDPCursor, MatrixPairDPCursor

    public abstract class AbstractMatrixPairDPCursor

extends Object
implements PairDPCursor

Author:
  Matthew Pocock

Field Summary
`protected BackPointer[][][]` | `bPointers`
`protected double[][][]` | `columns`
`protected int[]` | `depth`
`protected EmissionCache` | `eCache`
`protected double[][][]` | `emissions`
`protected BackPointer[]` | `emptyBP`
`protected int` | `numStates`
`protected int[]` | `pos`
`protected SymbolList[]` | `seqs`
`protected double[][][]` | `sMatrix`
`protected double[]` | `zeroCol`

Constructor Summary
`AbstractMatrixPairDPCursor(SymbolList seq1, SymbolList seq2, int start1, int start2, int depth1, int depth2, PairDPMatrix matrix, EmissionCache eCache)`

Method Summary
`int[]` | `getDepth()` retrieve the depth of this cursor
`Cell[][]` | `press()` press out a new correctly sized cell array

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.bio.dp.twohead.PairDPCursor
`hasNext, next`

Field Detail

### pos

    protected int[] pos

### seqs

    protected SymbolList[] seqs

### columns

    protected double[][][] columns

### bPointers

    protected BackPointer[][][] bPointers

### emissions

    protected double[][][] emissions

### numStates

    protected int numStates

### zeroCol

    protected double[] zeroCol

### emptyBP

    protected BackPointer[] emptyBP

### depth

    protected int[] depth

### sMatrix

    protected double[][][] sMatrix

### eCache

    protected EmissionCache eCache

Constructor Detail

### AbstractMatrixPairDPCursor

    public AbstractMatrixPairDPCursor(SymbolList seq1,
                                      SymbolList seq2,
                                      int start1,
                                      int start2,
                                      int depth1,
                                      int depth2,
                                      PairDPMatrix matrix,
                                      EmissionCache eCache)
                               throws IllegalSymbolException

Throws:
  `IllegalSymbolException`

Method Detail

### getDepth

    public int[] getDepth()

  Description copied from interface: `PairDPCursor`
  retrieve the depth of this cursor

  Specified by:
    `getDepth` in interface `PairDPCursor`

### press

    public Cell[][] press()

  Description copied from interface: `PairDPCursor`
  press out a new correctly sized cell array

  Specified by:
    `press` in interface `PairDPCursor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD